package cn.iocoder.yudao.module.pms.service;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.pms.controller.admin.vo.IotInfoPageReqVO;
import cn.iocoder.yudao.module.pms.controller.admin.vo.IotInfoRespVO;
import cn.iocoder.yudao.module.pms.controller.admin.vo.IotInfoSaveReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.IotInfoDO;

/**
 * 资料 Service 接口
 *
 * @author 芋道源码
 */
public interface IotInfoService {
    List<IotInfoRespVO> getChildContentFile(Long classId);
    List<IotInfoRespVO> getAllChildContentFile(Long classId);
    /**
     * 创建资料
     *
     * @param createReqVO 创建信息
     */
    void createIotInfo(@Valid IotInfoSaveReqVO createReqVO);

    /**
     * 更新资料
     *
     * @param updateReqVO 更新信息
     */
    void updateIotInfo(@Valid IotInfoSaveReqVO updateReqVO);
    void removeIotInfo(@Valid IotInfoSaveReqVO updateReqVO);

    /**
     * 删除资料
     *
     * @param id 编号
     */
    void deleteIotInfo(Long id);

    /**
     * 获得资料
     *
     * @param id 编号
     * @return 资料
     */
    IotInfoDO getIotInfo(Long id);

    /**
     * 获得资料分页
     *
     * @param pageReqVO 分页查询
     * @return 资料分页
     */
    PageResult<IotInfoDO> getIotInfoPage(IotInfoPageReqVO pageReqVO);
    PageResult<IotInfoDO> getIotInfoFilePage(IotInfoPageReqVO pageReqVO);

}
